PugLaxDefaultPriority = {
	"polymorph", 
	"freezingTrap", 
	"sap", 
	"hex", 
	"repentance", 
	"mindControl",
	"entanglingRoots", 
	"wyvernSting", 
	"banish", 
	"bindElemental", 
	"shackleUndead", 
	"hibernate", 
	"fear", 
	"seduction",
	"cyclone",
}

PugLaxPriorityLists = {
	["The Stockade"] = {
			"polymorph", 
			"freezingTrap", 
			"hex", 
			"sap", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone",
		},
	Gnomeregan = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Ragefire Chasm"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Razorfen Downs"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting",  
			"shackleUndead",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Razorfen Kraul"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Scarlet Monastery"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Wailing Caverns"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Blackfathom Deeps"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	Maraudon = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	Uldaman = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	Scholomance = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Dire Maul"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Dire Maul (East)"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Dire Maul (North)"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Dire Maul (West)"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Zul'Farrak"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental",
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	Stratholme = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Sunken Temple"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Blackrock Depths"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Blackrock Spire"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Hellfire Ramparts"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Blood Furnace"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Slave Pens"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Underbog"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental",  
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Mana-Tombs"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Auchenai Crypts"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Old Hillsbrad Foothills"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Sethekk Halls"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Shadow Labyrinth"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Steamvault"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Shattered Halls"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Botanica"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Mechanar"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Black Morass"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"cyclone"
		},
	["Magisters' Terrace"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Arcatraz"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Utgarde Keep"] = {
			"polymorph", 
			"freezingTrap",
			"repentance",
			"mindControl",
			"wyvernSting", 
			"sap", 
			"hex",  
			"entanglingRoots", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Nexus"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish",
			"bindElemental",
			"hibernate",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Azjol-Nerub"] = {
			"freezingTrap", 
			"repentance", 
			"shackleUndead",
			"entanglingRoots", 
			"wyvernSting", 
			"cyclone"
		},
	["Ahn'kahet: The Old Kingdom"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Drak'Tharon Keep"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Violet Hold"] = {
			"repentance", 
			"freezingTrap",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"cyclone"
		},
	Gundrak = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Halls of Stone"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting",
			"fear", 
			"seduction",
			"cyclone"
		},
	["Trial of the Champion"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting",
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Culling of Stratholme"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Oculus"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Halls of Lightning"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Utgarde Pinnacle"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Halls of Reflection"] = {
			"freezingTrap", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting",  
			"shackleUndead",
			"cyclone"
		},
	["Pit of Saron"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Forge of Souls"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"shackleUndead", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Shadowfang Keep"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting",  
			"shackleUndead", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Deadmines"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Throne of the Tides"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Blackrock Caverns"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Stonecore"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["The Vortex Pinnacle"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Grim Batol"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Halls of Origination"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"shackleUndead", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
	["Lost City of the Tol'vir"] = {
			"polymorph", 
			"freezingTrap", 
			"sap", 
			"hex", 
			"repentance", 
			"mindControl",
			"entanglingRoots", 
			"wyvernSting", 
			"banish", 
			"bindElemental", 
			"hibernate", 
			"fear", 
			"seduction",
			"cyclone"
		},
}