﻿PugLocs = {
	enUS = {
		ccShortName = {
			polymorph="polymorph",
			freezingTrap="trap", 
			sap="sap", 
			hex="hex", 
			repentance="repentance", 
			entanglingRoots="root", 
			wyvernSting="wyvern sting", 
			banish="banish", 
			bindElemental="bind", 
			shackleUndead="shackle", 
			hibernate="hibernate", 
			fear="fear", 
			seduction="seduce",
			cyclone="cyclone",
			mindControl="mc",
		},
		echoPlease = ", please ",
		echoThe = " the ",
		echoKillOrder= "Kill Order: ",
		markStrings = {
			skull="Skull",
			cross="Cross",
			diamond="Diamond",
			star="Star",
			triangle="Triangle",
			circle="Circle",
			square="Square",
			moon="Moon",
		},
		options = {
			iconScale="Icon Scale",
			name="Pug Lax: Tank Tested, Perky Pug Approved!",
			enabledMarks="Enabled Marks",
			echoEnableUsing="Enable using ",
			enabledCC="Enabled CC",
			echoEnableCC="Enable ",
			general="General",
			growUp="Grow Up",
			tukui="Tukui Support (requires reload)",
			jumpMenuHeader="JumpMenu Header",
			jumpMenuRows="JumpMenu Rows",
			size="Size",
			height="Height",
			width="Width",
			font="Font",
			background="Background",
			texture="Texture",
			color="Color",
			border="Border",
			edgesize="Edge Size",
			insets="Insets",
			top="Top",
			left="Left",
			right="Right",
			bottom="Bottom",
			spacing="Spacing",
			silentInstanceReset="Silent Instance Reset",
			silentInstanceResetDesc="Automatically reset without a prompt when entering an instance?",
			autoHide="Auto Hide",
			autoCollapse="Auto Collapse",
			autoDesc="Fully-checked makes PugLax automatically hide/collapse when leaving a group, and automatically show/expand when entering a group. Half-checked makes PugLax only hide/collapse when leaving a group. Unchecked has no effect.",
			autoHeader="Auto Hide/Collapse",
			killOrder="Kill Order",
			killOrderFirst="1: ",
			killOrderSecond="2: ",
			killOrderThird="3: ",
		},
		jumpMenu = {
			party="P",
			reset="R",
			countdown="C",
			availableCC="Available CC",
			noAssignment="No Assignment",
			clearAssignment="Clear",
			disabledCC="Disabled CC",
			missingTalents="Missing Talents",
		},
		pullannounce = {
			pullingin="Pulling in ",
			pullingnow="Pulling!"
		},
		zoneReset = "New priority detected, Reset PugLax? This will wipe all assignments...",
		userReset = "Reset PugLax? This will wipe all assignments...",
		confirm = "Yes",
		deny = "No",
	},
	deDE = {
		ccShortName = {
			polymorph="Verwandlung",
			freezingTrap="Eiskältefalle", 
			sap="Kopfnuss", 
			hex="Verhexung", 
			repentance="Buße", 
			entanglingRoots="Wucherwurzeln", 
			wyvernSting="Stich des Flügeldrachen", 
			banish="Verbannen", 
			bindElemental="Elementar binden", 
			shackleUndead="Untote fesseln", 
			hibernate="Winterschlaf", 
			fear="Furcht", 
			seduction="Verführung",
			cyclone="Wirbelsturm",
			mindControl="Gedankenkontrolle",
		},
		echoPlease = ", bitte wirke ",
		echoThe = " auf ",
		echoKillOrder= "Killreihenfolge: ",
		markStrings = {
			skull="Totenkopf",
			cross="Kreuz",
			diamond="Diamant",
			star="Stern",
			triangle="Dreieck",
			circle="Kreis",
			square="Viereck",
			moon="Mond",
		},
		options = {
			iconScale="Icongröße",
			name="Pug Lax: Tank Tested, Perky Pug Approved!",
			enabledMarks="Symbole",
			echoEnableUsing="Benutze ",
			enabledCC="CrowdControl",
			echoEnableCC="Benutze ",
			general="Einstellungen",
			growUp="Nach oben aufbauen",
			tukui="Tukui Unterstützung (benötigt Neuladen des Interfaces)",
			jumpMenuHeader="JumpMenu Kopfzeile", 
			jumpMenuRows="JumpMenu Zeilen",
			size="Größe",
			height="Höhe",
			width="Breite",
			font="Schriftart",
			background="Hintergrund",
			texture="Textur",
			color="Farbe",
			border="Rahmen",
			edgesize="Rahmendicke",
			insets="Innenabstand",
			top="Oben",
			left="Links",
			right="Rechts",
			bottom="Unten",
			spacing="Abstand",
			silentInstanceReset="Silent Instance Reset",
			silentInstanceResetDesc="Automatically reset without a prompt when entering an instance?",
			autoHide="Auto Hide",
			autoCollapse="Auto Collapse",
			autoDesc="Fully-checked makes PugLax automatically hide/collapse when leaving a group, and automatically show/expand when entering a group. Half-checked makes PugLax only hide/collapse when leaving a group. Unchecked has no effect.",
			autoHeader="Auto Hide/Collapse",
			killOrder="Killreihenfolge",
			killOrderFirst="1: ",
			killOrderSecond="2: ",
			killOrderThird="3: ",
		},
		jumpMenu = {
			party="G",
			reset="Z",
			countdown="C",
			availableCC="Verfügbarer CC",
			noAssignment="Nicht zugewiesen",
			clearAssignment="Clear",
			disabledCC="Disabled CC",
			missingTalents="Missing Talents",
		},
		pullannounce = {
			pullingin="Pull in ",
			pullingnow="Los gehts!",
		},
		zoneReset = "Neue Priorität gefunden, PugLax zurücksetzen? Alle Zuweisungen werden gelöscht...",
		userReset = "Puglax zurücksetzen? Alle Zuweisungen werden gelöscht...",
		confirm = "Ja",
		deny = "Nein",
	},
    frFR = {
        ccShortName = {
            polymorph="Métamorphose",
            freezingTrap="Piège givrant", 
            sap="Assommer", 
            hex="Maléfice", 
            repentance="Repentir", 
            entanglingRoots="Sarments", 
            wyvernSting="Piqûre de Wyvern", 
            banish="Bannir", 
            bindElemental="Lié un élémentaire", 
            shackleUndead="Entrave des morts-vivants", 
            hibernate="Hibernation", 
            fear="Peur", 
            seduction="Séduction",
            cyclone="Cyclone",
            mindControl="Contrôle mental",
        },
        echoPlease = ", s.v.p. ",
        echoThe = " sur ",
        echoKillOrder= "Ordre à tuer: ",
        markStrings = {
            skull="Tête de mort",
            cross="Croix",
            diamond="Losange",
            star="Etoile",
            triangle="Triangle",
            circle="Cercle",
            square="Carré",
            moon="Lune",
        },
        options = {
            iconScale="Taille des icones",
            name="Pug Lax: Tank Tested, Perky Pug Approved!",
            enabledMarks="Symboles utilisé",
            echoEnableUsing="Activé l'utilisation de ",
            enabledCC="Activé le CC",
            echoEnableCC="Activé ",
            general="Général",
            growUp="Déveloper vers le haut",
            tukui="Tukui Support (néccisite une recharge de l'interface)",
            jumpMenuHeader="JumpMenu en-tête",
            jumpMenuRows="JumpMenu rangées",
            size="Taille",
            height="Hauteur",
            width="Largeur",
            font="Font",
            background="Arrière-plan",
            texture="Texture",
            color="Coleur",
            border="Bordure",
            edgesize="Taille du bord",
            insets="Insets",
            top="En haut",
            left="Gauche",
            right="Droite",
            bottom="En bas",
            spacing="Espacement",
			silentInstanceReset="Réinitialisation d'instance muette",
			silentInstanceResetDesc="Réinitialiser automatiquement en entrant en instance sans demander?",
			autoHide="Auto Hide",
			autoCollapse="Auto Collapse",
			autoDesc="Fully-checked makes PugLax automatically hide/collapse when leaving a group, and automatically show/expand when entering a group. Half-checked makes PugLax only hide/collapse when leaving a group. Unchecked has no effect.",
			autoHeader="Auto Hide/Collapse",
			killOrder="Kill Order",
			killOrderFirst="1: ",
			killOrderSecond="2: ",
			killOrderThird="3: ",
        },
        jumpMenu = {
            party="P",
            reset="R",
            countdown="C",
            availableCC="CC disponible",
            noAssignment="Pas assigné",
			clearAssignment="Enlever",
			disabledCC="Disabled CC",
			missingTalents="Missing Talents",
        },
        pullannounce = {
            pullingin="Pulling in ",
            pullingnow="Pulling!"
        },
        zoneReset = "Nouvelles priorités detecté, réinitialiser PugLax? Ceci reinitialisera toutes les tâches...",
        userReset = "Réinitialiser PugLax? Ceci reinitialisera toutes les tâches...",
        confirm = "Oui",
        deny = "Non",
    },
	esES = {
		ccShortName = {
			polymorph="Polimorfia",
			freezingTrap="Trampa", 
			sap="Porrazo", 
			hex="Malefício", 
			repentance="Arrepentimiento", 
			entanglingRoots="Raíces", 
			wyvernSting="picadura de dracoleón", 
			banish="Desterrar", 
			bindElemental="Atar elemental", 
			shackleUndead="Cadenas", 
			hibernate="Hibernar", 
			fear="Miedo", 
			seduction="Seducir",
			cyclone="Ciclón",
			mindControl="Control mental",
		},
		echoPlease = ", por favor ",
		echoThe = " el ",
		echoKillOrder = "Orden de ataque: ",
		markStrings = {
			skull="Calavera",
			cross="Cruz",
			diamond="Diamante",
			star="Estrella",
			triangle="Triangulo",
			circle="Circulo",
			square="Cuadrado",
			moon="Luna",
		},
		options = {
			iconScale="Icon Scale",
			name="Pug Lax: Tank Tested, Perky Pug Approved!",
			enabledMarks="Enabled Marks",
			echoEnableUsing="Enable using ",
			enabledCC="Enabled CC",
			echoEnableCC="Enable ",
			general="General",
			growUp="Grow Up",
			tukui="Tukui Support (requires reload)",
			jumpMenuHeader="JumpMenu Header",
			jumpMenuRows="JumpMenu Rows",
			size="Size",
			height="Height",
			width="Width",
			font="Font",
			background="Background",
			texture="Texture",
			color="Color",
			border="Border",
			edgesize="Edge Size",
			insets="Insets",
			top="Top",
			left="Left",
			right="Right",
			bottom="Bottom",
			spacing="Spacing",
			silentInstanceReset="Silent Instance Reset",
			silentInstanceResetDesc="Automatically reset without a prompt when entering an instance?",
			autoHide="Auto Hide",
			autoCollapse="Auto Collapse",
			autoDesc="Fully-checked makes PugLax automatically hide/collapse when leaving a group, and automatically show/expand when entering a group. Half-checked makes PugLax only hide/collapse when leaving a group. Unchecked has no effect.",
			autoHeader="Auto Hide/Collapse",
			killOrder="Kill Order",
			killOrderFirst="1: ",
			killOrderSecond="2: ",
			killOrderThird="3: ",
		},
		jumpMenu = {
			party="P",
			reset="R",
			countdown="C",
			availableCC="Available CC",
			noAssignment="No Assignment",
			clearAssignment="Clear",
			disabledCC="Disabled CC",
			missingTalents="Missing Talents",
		},
		pullannounce = {
			pullingin="Pulling in ",
			pullingnow="Pulling!"
		},
		zoneReset = "New priority detected, Reset PugLax? This will wipe all assignments...",
		userReset = "Reset PugLax? This will wipe all assignments...",
		confirm = "Yes",
		deny = "No",
	},
}